// nc-input/nc-label-input.js

// /src/components/nc-input/nc-label-input.vue
// test: <input class="ui input"
// import NcInput from './nc-input/nc-input.vue'
import createComponent from './nc-input-component.js'
export default { render: render, ...createComponent('NcLabelInput') }
/* .nc-label-input {
	display: flex;
	flex-basis: 100%;
} */
/* semantic todo: nc-label-input */
/* .ui.form .inline.fields {
	margin-bottom: 0.1em;
} */

// render code
import {
	renderSlot as _renderSlot,
	resolveComponent as _resolveComponent,
	withCtx as _withCtx,
	createVNode as _createVNode,
	openBlock as _openBlock,
	createBlock as _createBlock,
	createCommentVNode as _createCommentVNode
} from '../../vuelib.js'

export function render(_ctx, _cache) {
	const _component_nc_label = _resolveComponent('nc-label')
	const _component_nc_input = _resolveComponent('nc-input')
	const _component_nc_form_field = _resolveComponent('nc-form-field')
	const _component_nc_col = _resolveComponent('nc-col')
	const _component_nc_row = _resolveComponent('nc-row')

	return !_ctx.horizontal
		? (_openBlock(),
			_createBlock(
				_component_nc_form_field,
				{
					key: 0,
					class: 'nc-label-input'
				},
				{
					default: _withCtx(() => [
						_createVNode(
							_component_nc_label,
							{
								model: _ctx.hdrModel,
								hdr: _ctx.hdr,
								'label-style': _ctx.labelStyle
							},
							{
								default: _withCtx(() => [_renderSlot(_ctx.$slots, 'default')]),
								_: 3 /* FORWARDED */
							},
							8 /* PROPS */,
							['model', 'hdr', 'label-style']
						),
						_createVNode(
							_component_nc_input,
							{
								id: _ctx.id,
								autocomplete: _ctx.autocomplete,
								name: _ctx.name,
								required: _ctx.required,
								'container-style': _ctx.containerStyle,
								'input-style': _ctx.inputStyle,
								disabled: _ctx.disabled,
								type: _ctx.type,
								model: _ctx.model,
								readonly: _ctx.readonly,
								value: _ctx.value,
								onInput: _cache[0] || (_cache[0] = $event => _ctx.updateValue($event)),
								onFocus: _cache[1] || (_cache[1] = $event => _ctx.onFocus($event)),
								onBlur: _cache[2] || (_cache[2] = $event => _ctx.onBlur($event))
							},
							null,
							8 /* PROPS */,
							['id', 'autocomplete', 'name', 'required', 'container-style', 'input-style', 'disabled', 'type', 'model', 'readonly', 'value']
						)
					]),
					_: 3 /* FORWARDED */
				}
			))
		: (_openBlock(),
			_createBlock(
				_component_nc_row,
				{
					key: 1,
					class: 'nc-label-input'
				},
				{
					default: _withCtx(() => [
						_createVNode(
							_component_nc_col,
							{ class: 'nc-label-input-label' },
							{
								default: _withCtx(() => [
									_createVNode(
										_component_nc_label,
										{
											model: _ctx.hdrModel,
											hdr: _ctx.hdr,
											'label-style': _ctx.labelStyle
										},
										{
											default: _withCtx(() => [_renderSlot(_ctx.$slots, 'default')]),
											_: 3 /* FORWARDED */
										},
										8 /* PROPS */,
										['model', 'hdr', 'label-style']
									)
								]),
								_: 3 /* FORWARDED */
							}
						),
						_createVNode(
							_component_nc_col,
							{ width: 'auto' },
							{
								default: _withCtx(() => [
									_createVNode(
										_component_nc_input,
										{
											id: _ctx.id,
											autocomplete: _ctx.autocomplete,
											name: _ctx.name,
											required: _ctx.required,
											'container-style': _ctx.containerStyle,
											'input-style': _ctx.inputStyle,
											disabled: _ctx.disabled,
											type: _ctx.type,
											model: _ctx.model,
											readonly: _ctx.readonly,
											value: _ctx.value,
											onInput: _cache[3] || (_cache[3] = $event => _ctx.updateValue($event)),
											onFocus: _cache[4] || (_cache[4] = $event => _ctx.onFocus($event)),
											onBlur: _cache[5] || (_cache[5] = $event => _ctx.onBlur($event))
										},
										null,
										8 /* PROPS */,
										['id', 'autocomplete', 'name', 'required', 'container-style', 'input-style', 'disabled', 'type', 'model', 'readonly', 'value']
									)
								]),
								_: 1 /* STABLE */
							}
						)
					]),
					_: 3 /* FORWARDED */
				}
			))
}
